Page MenuHomePhabricator

Add Seediq language (trv) to Names.php
Closed, ResolvedPublic

Description

Event Timeline

Raymond created this task.Jan 31 2019, 12:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2019, 12:59 PM

Hmm, some problems like T174601 and T201269 exist here, are we sure that this *English* language name is true? Some materials call it "Seediq", and some call it "Taroko", to be honesty, can we please standardize those English name of Taiwanese languages first?

What does SIL say here?

Liuxinyu970226 added a comment.EditedFeb 22 2019, 5:34 AM

But then http://www.unicode.org/cldr/charts/latest/summary/zh.html says "赛德克语" (Seediq), and as per Wikidata, with the exception of Finnish, Croatian, Dutch, Norwegian Bokmål and Piemontese, all other language editions are by default refering trv as Seediq rather than Taroko.

(Don't trust IANA language subtag for Taiwanese languages, they still keep "Subtag: ais Description: Nataoran Amis Added: 2009-07-29" even their staffs know that that code is deprecated in favor of creating szy for Sakizaya.)

Suggest to mark this stalled either.

Liuxinyu970226 changed the task status from Open to Stalled.Mar 1 2019, 1:47 PM

Since nobody oppose it, I boldly stalled this task.

@Liuxinyu970226: What or who exactly is this task stalled on?

Amire80 changed the task status from Stalled to Open.EditedMay 11 2020, 6:39 AM

There's really, really no reason to have this stalled for so long because of such a minor thing.

Amire80 claimed this task.May 11 2020, 6:42 AM

Change 595460 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Add Seediq (trv) to Names.php

https://gerrit.wikimedia.org/r/595460

Change 595467 had a related patch set uploaded (by Amire80; owner: Amire80):
[translatewiki@master] Remove Seediq (trv) from LanguageSettings and FallbackSettings

https://gerrit.wikimedia.org/r/595467

Change 595460 merged by jenkins-bot:
[mediawiki/core@master] Add Seediq (trv) to Names.php

https://gerrit.wikimedia.org/r/595460

Change 595467 merged by jenkins-bot:
[translatewiki@master] Remove Seediq (trv) from LanguageSettings and FallbackSettings

https://gerrit.wikimedia.org/r/595467

Nikerabbit closed this task as Resolved.Jul 16 2020, 7:24 AM